RENICE(1)

NAZWA
renice - zmienia priorytet działającego procesu

SKŁADNIA

renice [-n] piorytet [-g|-p|-u] identyfikator...

OPIS

renice alters the scheduling priority of one or more running processes. The first argument is the priority value to be used. The other arguments are interpreted as process IDs (by default), process group IDs, user IDs, or user names. renice'ing a process group causes all processes in the process group to have their scheduling priority altered. renice'ing a user causes all processes owned by the user to have their scheduling priority altered.

OPCJE

-n, --priority priority
    Specify the scheduling priority to be used for the process, process group, or user. Use of the option -n or --priority is optional, but when used it must be the first argument.

-g, --pgrp
    Interpretuj następujące argumenty jako numery ID grup procesów.

-p, --pid
    Interpretuj następujące argumenty jako numery ID procesów (domyślne).

-u, --user
    Interpretuj następujące argumenty jako nazwy użytkowników bądź ich numery ID.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla ten tekst i kończy pracę.

PLIKI

/etc/passwd
    do mapowania nazw użytkowników na ich identyfikatory.

UWAGI

Users other than the superuser may only alter the priority of processes they own. Furthermore, an unprivileged user can only increase the "nice value" (i.e., choose a lower priority) and such changes are irreversible unless (since Linux 2.6.12) the user has a suitable "nice" resource limit (see ulimit(1p) and getrlimit(2)).

The superuser may alter the priority of any process and set the priority to any value in the range -20 to 19. Useful priorities are: 19 (the affected processes will run only when nothing else in the system wants to), 0 (the "base" scheduling priority), anything negative (to make things go very fast).

HISTORIA

Polecenie renice pojawiło się w 4.0BSD.

PRZYKŁADY

Następująca komenda zmieni priorytety procesów o identyfikatorach 987 i 32 oraz wszystkich procesów użytkowników daemon i root.

renice +1 987 -u daemon root -p 32

ZOBACZ TAKŻE

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

ZGŁASZANIE BŁĘDÓW

For bug reports, use the issue tracker at

DOSTĘPNOŚĆ

The renice command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Michał Kułach <michal.kulach@gmail.com> i Szymon Lamkiewicz <s.lam@o2.pl> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.